#!/bin/bash
SERVERNAME=wiki-01-med-guest
CONFIG_VOLUME=e5f9238b-e325-4102-98d8-3db8f02e6d5b

echo "Creating VM ${SERVERNAME}"

openstack server create  \
--image "ubuntu-16.04.4-amd64" \
--user-data data-${SERVERNAME}.yaml \
--key-name "Sebastian Rojo" \
--flavor m1.medium.sd \
--min 1 \
--max 1 \
--security-group DefaultSapian \
--security-group WebApp \
--availability-zone nuczone \
--nic net-id=7a9ae8e9-8425-4084-94cc-fb70c069e957,v4-fixed-ip=172.16.253.144 \
--wait \
${SERVERNAME}

for RUN in {1..50}; do
    if [ "$(openstack server show ${SERVERNAME} | awk '/status/ {print $4}')" == "ACTIVE" ]
    then
      openstack server show ${SERVERNAME}
      echo "${SERVERNAME} Active. Attahing CONFIG_VOLUME ${CONFIG_VOLUME}..."
      openstack server add volume --device /dev/vdb ${SERVERNAME} ${CONFIG_VOLUME}
      #openstack server add floating ip ${SERVERNAME} 172.16.253.108
      openstack volume show ${CONFIG_VOLUME}
      openstack server show ${SERVERNAME}
      exit 0
    else
      echo "VM ${SERVERNAME} is not active yet"
      sleep 2
    fi
done
